Support Questions
Find answers, ask questions, and share your expertise

upgrade HDP-2.5.3.0 to 2.6.4.0

Contributor

Hello all,

I've upgraded my ambari successfully to 2.6.1. I'm trying to upgrade HDP; screen-shot-2018-01-24-at-43445-pm.png

I see 2.6.4.0 available, but the option to install from the "stack and version" page has been disabled and all the components version are the same as the current version.

Then on the page of selecting the versions, I can click on "Install on..." button then I chose my cluster, but it doesn't do anything. screen-shot-2018-01-24-at-43725-pm.png

I attached the two screenshots. Any help is greatly appreciated

2 REPLIES 2

@Arian Trayen

I think you have manually given the version number while registering the HDP version just by giving version number. You have provide the HDP-2.6.4.0-91.xml file which will have correct version files in xml with resective to that HDP version.

Step-1 : Just follow registration process as is, but when you HDP 2.6, just click drop down, there you can see 'Add version', click on it as shown in screenshot.

56459-capture1.png

Step-2: Now either upload the version file by downloading the HDP-2.6.4.0-91.xml file from local repo/public repo else provide the URL clicking second option provide either public or local repo referring to that xml.

56460-capture2.png

hdp-2640-91.xml

For you I have attached the HDP-2.6.4.0-91.xml file and even you can use public repo

http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.6.4.0/HDP-2.6.4.0-91.xml.

Hope this helps you.

Contributor

@sridhar reddy Thank you for your response.

I have tried upgrading via public repo as well as download the xml file to load it in.

I got the files from here https://docs.hortonworks.com/HDPDocuments/Ambari-2.6.1.0/bk_ambari-installation/content/hdp_26_repos...

I also tried the file you attached although i'm running on centos7, but since hdp-2.6.4 is already in my config it won't let me register another hdp-2.6.4.

Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.